Skip to main content
PATCH
/
api
/
v1
/
auth
/
ldap-auth
/
identities
/
{identityId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/auth/ldap-auth/identities/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "bindDN": "<string>",
  "bindPass": "<string>",
  "searchBase": "<string>",
  "templateId": "<string>",
  "searchFilter": "<string>",
  "allowedFields": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "accessTokenTrustedIps": [
    {
      "ipAddress": "<string>"
    }
  ],
  "accessTokenTTL": 157680000,
  "accessTokenNumUsesLimit": 1,
  "accessTokenMaxTTL": 157680000,
  "lockoutEnabled": true,
  "lockoutThreshold": 15.5,
  "lockoutDurationSeconds": 43215,
  "lockoutCounterResetSeconds": 1802.5
}
'
{
  "identityLdapAuth": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>",
    "searchBase": "<string>",
    "searchFilter": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "accessTokenTTL": 7200,
    "accessTokenMaxTTL": 7200,
    "accessTokenNumUsesLimit": 0,
    "accessTokenTrustedIps": "<unknown>",
    "allowedFields": null,
    "accessTokenPeriod": 0,
    "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lockoutEnabled": true,
    "lockoutThreshold": 3,
    "lockoutDurationSeconds": 300,
    "lockoutCounterResetSeconds": 30
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to update the configuration for.

Body

application/json
url
string

The new URL of the LDAP server.

Minimum string length: 1
bindDN
string

The new DN of the user to bind to the LDAP server.

Minimum string length: 1
bindPass
string

The new password of the user to bind to the LDAP server.

Minimum string length: 1
searchBase
string

The new base DN to search for the LDAP user.

Minimum string length: 1
templateId
string

The ID of the identity auth template to update the configuration to.

searchFilter
string

The new filter to use to search for the LDAP user.

Minimum string length: 1
allowedFields
object[]

The comma-separated list of allowed fields to return from the LDAP user.

accessTokenTrustedIps
object[]

The new IPs or CIDR ranges that access tokens can be used from.

Minimum array length: 1
accessTokenTTL
integer

The new lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenNumUsesLimit
integer

The new maximum number of times that an access token can be used.

Required range: x >= 0
accessTokenMaxTTL
integer

The new maximum lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
lockoutEnabled
boolean

Whether the lockout feature is enabled.

lockoutThreshold
number

The amount of times login must fail before locking the identity auth method.

Required range: 1 <= x <= 30
lockoutDurationSeconds
number

How long an identity auth method lockout lasts.

Required range: 30 <= x <= 86400
lockoutCounterResetSeconds
number

How long to wait from the most recent failed login until resetting the lockout counter.

Required range: 5 <= x <= 3600

Response

Default Response

identityLdapAuth
object
required